Archiv für das Tag 'DudenKorrektor'

Feb 08 2013

Installation von Duden Korrektor bei Libre Office 4 zeigt einen Fehler

Autor: . Abgelegt unter Software

SickIch habe mich in der Vergangenheit schon über die Software von Duden aufgeregt. Leider ist dies meiner Kenntnis nach aber der einzige ernst zu nehmende Anbieter für Rechtschreibungs- und Grammatikprüfungen. Heute ging die Geschichte mit Libre Office 4 weiter. Nach dem Update stand mir die Duden Rechtschreibprüfung nicht mehr zur Verfügung. Bei der Reaktivierung im Extension-Manager gab es eine Fehlermeldung:

loading component library failed: 
file:///C:/Users/<username>/AppData/Roaming/LOdev/4/
user/uno_packages/cache/uno_packages/ lu4dwiz.tmp_/
DRO-D.oxt/dudenkorrektor.uno.dll

Nicht so schön. Nach einiger Recherche habe ich herausgefunden, dass mit Libre Office 4 zum ersten mal keine veralteten .DLL-Dateien (Programmbibliotheken) ausgeliefert werden. Leider braucht die Duden Software noch so ein altes Goldstück für die Installation: stlport_vc7145.dll

Darum hier der Workaround, bis Duden einen Patch im Angebot hat:

  1. Die Datei stlport_vc7145.dll besorgen. Diese gibt es wahlweise im Netz oder hier.
  2. Als nächstes den Installtionsordner von Libreoffice im Explorer suche. Normalerweise ist dieser unter C:/Programme/Libreoffice4 zu finden. Dort den Unterordner „URE“ und dann „bin“. In diesen Ordner ../Libreoffice4/URE/bin/ kopiert ihr einfach die Datei „stlport_vc7145.dll“.
  3. Startet Libre Office neu und geht in den Extension-Manager. Fügt hier die Erweiterung wie üblich hinzu und schon sollte die Rechtschreibprüfung wieder laufen.

Viel Erfolg!

photo credit: TheGiantVermin via photopin cc

2 Kommentare

Aug 26 2012

Liebe Brockhaus Duden Neue Medien GmbH, ist das Ihr Ernst?

Autor: . Abgelegt unter Dunkle Horizonte

Ich bin doch ein wenig verwundert, wenn nicht sogar ein wenig verärgert. Ich habe vor gut einem Jahr – im Oktober 2011 – den Duden Korrektor in Version 8 für OpenOffice gekauft, nachdem ich schon längere Zeit mit der Vorgängerversion gearbeitet habe. Auch wenn es mal die eine oder andere kleine Schwierigkeit gab, war ich eigentlich immer zufrieden. Das hat sich in der vergangenen Woche gründlich geändert.

Ich habe nämlich im Rahmen der Neuinstallation meines PC versucht, wieder die aktuelle Version von LibreOffice und Duden Korrektor zu installieren. Office war dabei kein Problem – die Duden-Software schon. Auch nach einigen Versuchen und allen möglichen Kombinationen bin ich nicht zum Ziel gekommen und habe mich anschließend an den Kundendienst gewandt. Ihrem Kundendienst sei dabei ein Lob ausgesprochen! Ich habe eine kompetente und schnelle Antwort erhalten. Leider war der Inhalt der Antwort absolut nicht akzeptabel.

Mir wurde erläutert, dass die Probleme von der aktuell installierten Version meiner Java-Laufzeitumgebung stammen. Ich möge doch einfach Office und Java deinstallieren, danach eine veraltete Version von Java 6 erneut installieren und noch ein paar einzelnen Dateien in meinem versteckten Benutzerverzeichnis suchen und von Hand löschen. Danach könnte ich dann Office neu installieren und den Duden-Korrektor auch. Im Anschluss würde einem Update auf Java 7 nichts mehr im Wege stehen und alles sollte funktionieren. Im Notfall würde man meinen PC auch fernwarten.

Ich danke für die Mühe des Kundendienstes, der wirklich bemüht ist, aber: Ist das wirklich Ihr Ernst?

Sie möchten, das ich wilde Installations/Deinstallations-Spielchen mit lustigem Dateilöschen mache, nur weil Ihre Programmversion nicht mit einer aktuellen Laufzeitumgebung kompatibel ist? Und mit Verlaub: Java hat seine Version 7 bereits am 28.07.2011 veröffentlich – also vor mehr als einem Jahr! Vielleicht liegt ihr Kerngeschäft nicht unbedingt in der Produktion von Software, aber entweder habe ich da was falsch verstanden, oder sie nehmen billigend in Kauf das Ihr Produkt nicht funktioniert, welches Sie in Ihrem Onlineshop verkaufen. Selbst dort ist unter Voraussetzungen nicht einmal etwas von einer Java-Laufzeitumgebung erwähnt. Vielleicht habe ich aber auch irgendwie verpasst ein Update zu bekommen – und ihrem Kundendienst ist es auch nicht aufgefallen.

Alles in allem würde mich dies sehr enttäuschen, wenn ich am Ende recht behalten muss, und dies seit einem Jahr der aktuelle Stand der Dinge ist. Vielleicht helfen Sie mir und erläutern mir meinen Irrtum. Oder Sie bringen einfach einen Patch heraus oder ändern wenigstens die Erläuterung in Ihrem Onlineshop. Ich würde ihr Produkt gern wieder nutzen und empfehlen können.

Mit besten Grüßen
Dennis Schäffer

10 Kommentare